package com.tzld.piaoquan.api.dao.mapper.contentplatform;

import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformAccount;
import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformAccountExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ContentPlatformAccountMapper {
    long countByExample(ContentPlatformAccountExample example);

    int deleteByExample(ContentPlatformAccountExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ContentPlatformAccount record);

    int insertSelective(ContentPlatformAccount record);

    List<ContentPlatformAccount> selectByExample(ContentPlatformAccountExample example);

    ContentPlatformAccount selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ContentPlatformAccount record, @Param("example") ContentPlatformAccountExample example);

    int updateByExample(@Param("record") ContentPlatformAccount record, @Param("example") ContentPlatformAccountExample example);

    int updateByPrimaryKeySelective(ContentPlatformAccount record);

    int updateByPrimaryKey(ContentPlatformAccount record);
}